=== debian/changelog ===
ros-iron-keyboard-handler (0.1.0-3jammy) jammy; urgency=high

  * Force exit from main thread on signal handling in keyboard_handler (#23 <https://github.com/ros-tooling/keyboard_handler/issues/23>)
  * Contributors: Michael Orlov

 -- michael <michael.orlov@apex.ai>  Mon, 07 Nov 2022 16:00:00 -0000

ros-iron-keyboard-handler (0.0.4-3jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and misc CMake fixes (#12 <https://github.com/ros-tooling/keyboard_handler/issues/12>)
  * Contributors: Shane Loretz

 -- michael <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-keyboard-handler (0.0.3-3jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72
  * Install SIGINT handler optionally and call old handler
  * Contributors: Chris Lalancette, Christophe Bedard, Emerson Knapp, Michael Orlov

 -- michael <michael.orlov@apex.ai>  Mon, 20 Dec 2021 16:00:00 -0000

ros-iron-keyboard-handler (0.0.2-3jammy) jammy; urgency=high

  * Merge pull request #5 <https://github.com/ros-tooling/keyboard_handler/issues/5> from lihui815/sonia-str2code
    added enum_str_to_key_code
  * Unified keyboard handler (#1 <https://github.com/ros-tooling/keyboard_handler/issues/1>)
    * Initial implementation for Keyboard handler
  * Contributors: Emerson Knapp, Michael Orlov, Sonia Jin

 -- michael <michael.orlov@apex.ai>  Wed, 01 Sep 2021 16:00:00 -0000
